VBLADE-PERSIST-CONVERT(8)

NAME
vblade-persist-convert - convert vblade-persist export configurations

SYNOPSIS

Usage:

        vblade-persist-convert [<vblade-directory> [ <runit-directory>]]

Beware: The order is "destination", "source", assuming the first is the one that’s overridden more often, for e.g. a pre-flight check.

OPTIONS

The <runit-directory> defaults to /var/lib/vblade-persist/vblades/, the <vblade-directory> to /etc/vblade.conf.d/.

DESCRIPTION

This program eases transition of vblade exports from the runit sniplets provided by vblade-persist(1) to the configuration files managed by vblade(8). The subdirectory names in <runit-directory>, consisting of shelf and slot name, are re-used as configuration file name, prefixed with "vblade.persist.". No configuration item should get lost.

AUTHOR

This manpage was written for the Debian project by Christoph Biedl but may be used by others.